- Home
- API Enriched
- Cloud Infrastructure
- sync-cloud-data
- ReApplyVPCAttachment.
ReApplyVPCAttachment.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/sync-cloud-data/namespaces/system/cloud_connect_reapply_vpc_attachment';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cloud_connect":{"name":"example","namespace":"example"},"provider":"AWS","vpc_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/sync-cloud-data/namespaces/system/cloud_connect_reapply_vpc_attachment \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cloud_connect": { "name": "example", "namespace": "example" }, "provider": "AWS", "vpc_id": "example" }'RE-applies VPC attachment in a cloud connect config.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request of VPC attachment reapply event.
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
VPC ID
Responses
Section titled “Responses”A successful response.
Reponse of VPC attachment reapply event.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example